using System;

internal sealed class Delegate874 : MulticastDelegate
{
	public extern RuntimeFieldHandle Invoke(object object_0);

	public static RuntimeFieldHandle smethod_0(object object_0, Delegate874 delegate874_1)
	{
		return delegate874_1(object_0);
	}

	public extern Delegate874(object object_0, IntPtr intptr_0);

	static Delegate874()
	{
		Class10.smethod_13(typeof(Delegate874).TypeHandle);
	}

	internal static Delegate874 delegate874_0;
}
